+ - Новая возможность
- - Исправление ошибки
! - Изменение или исправление, которое может повлиять на работу
    соответствующих подсистем и требует тщательного тестирования

Тонкий клиент
-----------------------------------------------------------------
--- 6.1031 --- 25.11.2025 
- [292095] перстала срабатывать кнопка с результатом нажатия по enter если фокус ввода находится на поле ввода

--- 6.1030 ---  14.11.2025
- [291700] Grid: Access violation при отображении подсказки для грида

--- 6.1029 ---  13.11.2025
+ [287241] Grid: js-метод "showText" для возможности вывода вместо ячеек грида
- [291374] Схемы: теперь при наследовании от темы, в инспекторе объектов фигуры отображаются фактические значения свойств
- [291244] Схемы: доработан механизм экспорта схемы без участия графического редактора
- [291402] Схемы: изменена иконка, используемая для создания фигуры "Дуга"
- [291352] Схемы: доработано склеивание через статическую и динамическую точку склейки с учетом свойства фигуры "Запретить соединение"
- [291563] Формы: Исправлена ошибка при которой кнопка доступа у пунктов меню в инспекторе не имела эффекта

--- 6.1028 ---  12.11.2025
- [291484] Формы: Изменен диапазон масштабирования грида
- [291567] Внешние файлы: исправлена ошибка запуска скриптового метода Execute

--- 6.1027 ---  12.11.2025
- [291421] Grid: не отображались в виде подсказки многострочные данные при наведении курсора мыши на однострочную ячейку
+ [287295] Схемы: сквозные группы
- [291544] Схемы: сквозные группы - исправлена ошибка смещения сквозной группы через инспектор объектов

--- 6.1026 ---  11.11.2025
! [291453] Вкладки: исправлена ошибка отображения вкладок
- [290265] Внешние файлы: исправлена ошибка запуска скриптового метода Execute
+ [291276] Новое окно авторизации: Изменения
           - Добавлена возможность прокрутки списка подключений с помощью ПКМ
- [291428] Схемы: исправлено некорректное определение значений стилистических свойств при наследовании стиля от темы "Без темы"
- [291405] Схемы: доработан механизм загрузки и восстановления схем с ошибками

--- 6.1025 ---  11.11.2025
- [290097] Документ: доработан поиск текста при выделении текста: поиск начинается с начала выделения, а не с конца
- [275700] вкладки: исправлено отображение закрепленных вкладок
- [201289] Grid: недоступность пункта всплывающего меню "Снять фиксацию столбца"
- [291320] Исправлена ошибка при которой многократно открывалось оповещение о том, что введёная дата не правильная

--- 6.1024 ---  10.11.2025
- [291184] Grid: не вызывалось редактировние ячейки грида при вставке новой записи после нажатия клавиши Insert
- [291330] Исправлен Access Violation и бесконечная загрузка списка избранных узлов у пользователей с пустым корневым узлом
- [291275] Исправлен недостаточный размер окна изменения количества прокручиваемых строк
- [291233] Схемы: импорт DWG/DXF - неправильно устанавливалось свойство "Авторазмер" и "Невидимый" для атрибутов
- [276408] Схемы: импорт DWG/DXF - неправильный импорт имени шрифта из иероглифиов
- [291173] отображение состояния загрузки данных поле ввода с выпадающим списком в тонком
- [289551] Схемы: доработана функция добавления фигур со схемы в Избранное
- [288359] Новое окно авторизации: Исправления
           - Исправлена ошибка, из-за которой при поиске пропадают все подключения.
- [291235] #fsert Исправленое определение домена клиентского компьютера на Linux с hostname без доменной части
-[291005] Формы: Исправлена ошибка при масштабировании грида с активным полем ввода быстрого фильтра, или ячейки
!-[290994] Формы: Рефакторинг масштабирования грида и дерева
- [290961] Схемы: исправлена ошибка настройки цвета заливки фигуры через панель инструментов
- [291236] Схемы: встраивание фигур - доработано встраивание для контейнеров и таблиц
- [291257] Схемы: встраивание фигур - добавлено ограничение на циклическую встраиваемость
- [290097] Документ: доработан поиск текста при выделении текста: поиск начинается с начала выделения, а не с конца
- [291232] Формы: Исправлена ошибка в срабатывании отображения диалогов при ивенте из поле ввода
- [291171] Схемы: исправлена ошибка, когда цвет встроенного текста не менялся исходя из стиля фигуры, которой принадлежит текст
- [291157] Схемы: исправлена ошибка, из-за которой стиль темы мог примениться к разметке страницы
- [289594] Схемы: исправлена ошибка, из-за которой не пересчитывалась область видимости после удаления страницы
- [291259] Схемы: исправлено некорректное применение стилей в таблицах, где присутствуют ячейки типа "контейнер"
- [291262] Схемы: исправлена ошибка обновления цвета страницы после удаления предыдущей страницы
- [291290] Схемы: исправлено некорректное сохранение цвета шрифта текстового абзаца
- [278638] Схемы: доработана привязка и отображение привязки вершин ломаной к направляющей
- [291279] Схемы: добавлена возможность настроить свойство "Запретить соединение" у фигур в редакторе примитивов
- [187602] Документ: исправлен механизм загрузки списков
- [291246] Схемы: изменен путь хранения файлов локальных копий схем
- [290543] Схемы: исправлена установка некорректного значения по умолчанию в окне настройки толщины линии
- [291397] Схемы: исправлена ошибка, из-за которой тема применялась к некоторым фигурам, даже если свойство применения тем к новым фигурам было отключено

--- 6.1023 ---  01.11.2025
- [291019] Grid: неправильный переход на следующую ячейку после очистки текущей нажатием Backspace
- [290097] Документ: теперь при выделении текста поиск текста начинается с начала выделения, а не с конца
- [288635] Схемы: экспорт PDF/SVG - скорректировано разделение текста с переносами
+ [290635] если на червере включен часовой пояс, то писать в лог и в окно о программе часовые пояса клиента и сервера
- [267774] Схемы: импорт DWG - терялся цвет текста в Linux для объекта TsgDXFProxy
- [290525] Схемы: исправлена ошибка настройки "По слою" всех настроек заливки и линий графической группы
- [280510] Формы: сообщение об ошибке печати в окне просмотра .pdf файлов изменено на более понятный вариант
+ [288212] Диаграммы: добавлено свойство авторасчет отступов меток исправлены цвета по умолчанию

--- 6.1022 ---  31.10.2025
+ [290684] --no-time-zone возможность запустить клиент без трансляции часового пояса
- [275441] Рефакторинг метода, отвечающего за формирование сообщений в статусной строке
- [286585] исправлено получение значения параметра, привязанного к справочнику

--- 6.1021 ---  30.10.2025
- [290469] некорректное отображение вариантов выбора поля ввода приявязанного к параметру типа первичный ключ
- [290620] Grid: вставка значения из буфера обмена - зависание при обращении в событии "onValidate" к js-свойству "selectedColumn"
- [290650] Схемы: исправлен экспорт пересечений линий для квадратов
- [290636] исправлено зависание формы, если в инициализации вызван ввод параметров
+ [290533] Схемы: добавлена возможность очистки неиспользуемых примитивов во встроенной библиотеке
- [290417] Графический редактор: Изображения - исправлена некорректная обработка крайних точек контрастности
- [288789] Схемы: внесены правки в механизм поиска точек склеек фигур
- [289602] Схемы: исправлена ошибка неправильного отображения стиля линии в диалоге выбора стиля линии в панели быстрого доступа

--- 6.1020 ---  30.10.2025
- [290418] если сплиттер полностью прижать вправо или вниз и отображается скроллер, то при наведении на кнопку с точками сплиттера не отображать скроллер, давать возможность потащить или нажать сплиттер
+ [289923] Схемы: доработано выделение ломаных и соединительных линий у которых включены скругления и(или) значки пересечений
- [290522] зависание при вызове node.selectChildren из скрипта на событие onSelectionChange дерва данных
- [288029] Отчеты: исправлена ошибка с границами ячеек таблиц
- [289592] Отчеты: исправлена ошибка печати диаграмм Ганта
- [290519] Исправлена ошибка в определении имени пользователя ОС при
подключении к Linux машине по RDP
- [289591] Отчеты: печать диаграмм Ганта - исправлено кеширование
- [289479] Схемы: диаграммы - исправлена ошибка пересчета осей при масштабировании
- [289163] Схемы: диаграммы - исправлена функция копировать диаграмму как изображение
- [289402] Схемы: диаграммы - исправлена ошибка избыточного отступа при отрисовке текста на левой оси
- [290438] Схемы: исправлена ошибка выделения примитивов по тексту с отсутствующей заливкой
- [290371] Схемы: исправлено некорректное применение стиля из окна настройки стиля соединительной линии
+ [290534] Схемы: добавлена возможность извлекать фигуры из несуществующих контейнеров для поломанных схем
+ [290532] Схемы: диаграммы - добавлена возможность очистки неиспользуемых таблиц диаграмм
- [289431] Схемы: диаграммы - добавлено свойство сетка
- [290480] Схемы: исправлено некорректное определение стилей фигур во время экспорта при наличии темы
+ [288705] Схемы: добавлена возможность сохранять в файл встроенную библиотеку
- [290543] Схемы: исправлено некорректное отображение толщины текущей выделенной линии в окне настройки толщины линии
+ [272394] Схемы: встраивание фигур
- [290611] Схемы: встраивание фигур - исправлена ошибка перемещения встроенных фигур по фигурам без точек склеек
- [290501] Схемы: исправлено некорректное отображение диалога выбора толщины линии
- [290542] Схемы: исправлена ситуация, когда у соединительной линии переставали отображаться стрелки при перемещении
- [290619] Схемы: исправлено некорректное отображение полилинии при изменении типа соед. линии

--- 6.1019 ---  24.10.2025
- [290440] Формы: отменено сохранение масштаба для грида
- [289437] исправлено отображение окна печати на динамическое
- [290219] при нехватке памяти при получении ответа сервера в запросе вместо обрыва соединения и перепосылки запроса выдавать ошибку
- [289593] Схемы: исправлена ошибка, при которой пропадало склеивание ломаных при действии "Объединить ломаные"
- [288607] Схемы: доработана отмена добавления точки склейки к контуру ломаной
- [290437] Схемы: исправлена ошибка выделения примитивов после отмены и повтора настройки имени шрифта через инспектор объектов
- [290188] Схемы: добавлен заголовок "Сменить интерфейс" в сообщении при смене интерфейса

--- 6.1018 ---  23.10.2025
+ [276773] Формы: при масштабировании грида, отображается масштаб
- [290382] Новое окно авторизации: Исправления
           - Исправлен Access Violation при попытке показать всплывающее меню со списком агентов.
- [289379] Исправлено отсутствие выбора группы колонок в окне печати
- [290231] Формы: При масштабировании грида учитываются отступы из стилей для ячеек и заголовка
+ [289251] при соединии с сервером приложений запись в лог версии клиента и агента
- [290253] некорректно выбирается значение выпадающего списка поля ввода в несправочное поле при выбре с клавиатуры
- [290250] не срабатывают кнопки с результатом нажатия по enter и escape если фокус ввода находится на поле ввода
- [290381] Отчеты: исправлена ошибка печати QR-кодов в ячейках таблиц
+ [277149] Добавлена возможность закрывать вкладки средней кнопкой мыши
- [290236] Схемы: исправлена ошибка механизма взаимодействия примитивов на уровне скриптовых событий в рамках редактора схемы
- [288786] Схемы: доработано выделение примитивов по тексту с отсутствующей заливкой
- [288786] Схемы: доработано выделение фигур по встроенному тексту с отсутствующей заливкой
- [289595] Схемы: доработана смена имени шрифта атрибутов в инспекторе объектов
+ [290254] Исправлена некорректная работа компонента "Внешние файлы"

--- 6.1017 ---  22.10.2025
- [289378] Схемы: исправлено сохранение склеивания после дублирования склеенных фигур
- [289433, 290192] Схемы: доработка ленточного интерфейса для стилей и тем
- [290131] Схемы: исправлена некорректная работа пункта "По теме" в окне выбора типа начала/конца стрелки
- [290266] Схемы: доработано событие onSelected в случае выделения фигур по области

--- 6.1016 ---  22.10.2025
- [289638] выдавать ошибку если не возможно применить фильтр данных
+ [290191] Схемы: RIBBON - Кнопка
           - Добавлена возможность использования произвольных изображений в кнопке ленточного интерфейса.
           - Исправлена ошибка, при которой некорректно вычислялась высота горизонтальной кнопки с включенным автоматическим размером.
- [290237] Отчеты: при html-форматировании учитывается атрибут bgcolor
- [290189] Отчеты: исправлена ошибка печати диаграмм Ганта
- [290185] Стили: Поля ввода - исправления
           - Исправлена ошибка, при которой некорректно работает позиционирование при нажатии на многострочное поле ввода.
- [289397] Схемы: исправлено отображение подложек в цепочке нескольких страниц
- [290062] Схемы: исправлено несохранение скосов фигур при разгруппировке
- [260264] Формы: исправлено отображение аннотаций в PDF (электронные подписи в их числе)
- [289438] Внешние файлы: N53210- js-метод "signFileCades()" : вызов исключения при передаче неправильного пароля
- [289130] Grid: не вызывалось события "onValidate" при вставке значений из буфера обмена
! [290184] Отчеты: исправлена обработка события onPrint для контрола Label
- [289915] Формы: исправлено дублирование информации в лог при вызове метода ExtFiles::executeViewFile(), логгирование вызовов методов из библиотеки ExtFiles дополнено наименованием файла
+ [290087] Grid: сохранение в конфигурации масштаба отображения
- [290106] Схемы: исправлено исключение, которое может вызываться при расчете скруглений прямоугольников
- [290100] Grid: не применялось свойство "Скрыть выделение"
- [289830] Grid: игнорировалась значение свойства "Тип индикатора" = "Нет"
- [289765] Схемы: устранены причины исключения, которое могло возникать при взаимодействии с соединительными линиями со скруглениями и включенными значками пересечений
- [289708] Схемы: исправлено смещение криволинейной области, создаваемой с помощью применения инструмента "Преобразование" к скругленному многоугольнику
- [289649] Схемы: исправлена ошибка загрузки и сохранения конфигурации схемного контрола
- [289866] Схемы: исправлено не сохранение примечаний для страницы
- [289924] Схемы: исправлена ошибка отображения примитивов при открытии схемы
- [290089] Схемы: исправлена ошибка поиска и замены текста в режиме ввода текста
- [290088] Схемы: доработано редактирование встроенного текста фигур во вложенных группах
! [288425] Схемы: Ленточный интерфейс - изменен механизм отображения подпунктов кнопки "Тип стрелки"
- [289847] Диаграммы: доработана отрисовка и настройка свойств диаграммы "Спидометр"
- [290180] Схемы: исправлена ошибка с некорректным отображением окончания стрелок линий  на 4К мониторах
- [289381] Диаграммы: исправлена печать диаграммы
- [285763] Схемы: диаграммы - отключена поддержка настройки таблиц из узлов
- [290186] Схемы: исправлено некорректное изменение размера стрелки полилинии при изменении типа стрелки
- [289563] Схемы: исправлена некорректная отрисовка встроенного текста, если он не наследует цвет шрифта от темы
- [290168] Схемы: исправлена ошибка с отображением стрелок при выборе через интерфейс
- [290236] Схемы: доработан механизм взаимодействия примитивов на уровне скриптовых событий в рамках редактора схемы

--- 6.1015 ---  15.10.2025
- [289658] зависание в дереве данных при выборе ячейки с обработчиком ячейки onSelect
- [289707] Схемы: Избранные примитивы - доработано создание избранных примитивов с учетом модуля и событий примитивов
- [289720] Схемы: диаграммы - исправлена ошибка редактирования ячеек таблиц при добавлении новых серий диаграмм

--- 6.1014 ---  14.10.2025
+ [289216] Схемы: теперь инструмент "Разбивка ломаных" работает со скругленными ломаными линиями
- [289623] Схемы: импорт VSDX - ошибка при импорте примитивов внутренней библиотеки
- [288031] Схемы: изменен механизм удаления фигур
- [289563] Схемы: скрыты свойства "Тема" и "Экспресс-стиль" для атрибутов и встроенного текста
+ [288031] Схемы: добавлен механизм обновления привязок при удалении фигур с учетом отмены и повтора удаления
- [289336] Графический редактор: Изображения - исправлено поведение динамического обновления образца
- [289559] Схемы: При наведении на фигуру в режиме добавления фигуры, не показывает курсор перемещения фигуры, если фигура не выделена
- [289587] Схемы: исправлена ошибка в расчете точек на линии
- [289342] Диаграммы: исправлено масштабирование диаграммы типа спидометр
+ [285763] Схемы: диаграммы - добавлена поддержка настройки таблиц из узлов
- [277719] Схемы: исправлена ошибка работы метода "Форматирование по образцу" при нажатии горячих клавиш
- [289633] Схемы: добавлены всплывающие подсказки для кнопок "Сохранить" и "Обновить" в панели инструментов ленточного интерфейса
- [289633] Схемы: заменена всплывающая подсказка для кнопок "Сохранить" во время редактирования примитивов
- [289633] Схемы: заменена иконка у кнопки "Сохранить" в выпадающем списке вкладки "Файл" во время редактирования примитивов
- [289610] Схемы: изменены размеры кнопок в окне настройки стилей заливки

--- 6.1013 ---  13.10.2025
- [289609] Формы: исправлена ошибка в работе скриптового метода ExtFiles::executeViewFile()
- [289556] не перехватываются исключения в поле ввода при выборе из выпадающего списка, ошибочно применяется значение при выпадении, если в предыдущее выпадение было пустой список
- [289533] Отчеты: исправлена обработка столбцов нулевой ширины
- [289224] Схемы: исправлена ошибка импорта файлов через буфер обмена, содержащих русские символы в названии файла
- [289421] Формы: исправлен Access Violation при печати диаграммы Ганта
- [289570] Схемы: исправлено исключение, возникающее при попытке изменения стиля линии в панели быстрого доступа, когда не выделена ни одна фигура

--- 6.1012 ---  10.10.2025
- [289227] Схемы: исправлена ошибка, из-за которой инструмент "Усечение линий" мог неправильно работать при пересечении усекаемой линии с многоугольниками и областями
- [289520] Формы: исправлена ошибка, из-за которой метод ExtFiles::executeViewFile() мог не дождаться загрузки файла после его формирования
- [282859] Формы: рефакторинг метода парсинга html-текста
- [282813] Отчеты: тип данных Дата теперь корректно определяется в Р7 и LibreOffice при формировании печатных форм
! [289372] Отчеты: улучшено соответствие с типом variant из толстого клиента (затрагиваются группировки, фильтры и т.п.)
- [289398] не выбирается первый элемент выпадающего автодополнения в поле ввода с привязанным логическим полем
- [289302] Схемы: исправлена ошибка, из-за которой вершины скругленного многоугольника могли отображаться некорректно
- [288945] Схемы: Избранные примитивы - доработано создание избранных примитивов с учетом параметров примитивов
- [289344] #wasm закрытие последней вкладки при включённых постоянных сессиях теперь не завершает сессию.
- [289334] Схемы: Настройки визуального отображения - добавлены ограничения на переразмеривание диалогового окна
- [289343] доработка обратных вызовов в Signal
- [283999] Схемы: исправлена ошибка, из-за которой после разгруппировки угол поворота у ломаной рассчитывался некорректно
- [289270] Схемы: исправлено обновление страниц после удаления страницы
- [289524] Схемы: исправлена ошибка сворачивания окна "Область примечаний"
- [288744] Диаграммы: исправлена ошибка, связанная с вызовом события при нажатии за пределами границы
- [289339] Схемы: Настройки визуального отображения - скрыт параметр "Динамическое обновление образца"
- [289211] Схемы: Исправлена ошибка не отображения таблицы диаграмм в окне настройки таблицы серии
- [288248] исправлено некорректное отображение АСМО документа при первой загрузке отчета
- [289205] Схемы: при изменении названия диаграммы запрещены пустые названия
- [289333] Схемы: Настройки визуального отображения - исправлена ошибка с перескакиванием курсора ввода в текстовом поле
- [289177] Схемы: Изменение параметров таблицы диаграммы активирует иконку сохранения
- [289335] Схемы: Настройки визуального отображения - исправлена ошибка связанная с отсутствием сохранения при изменении параметров изображения
- [289363] Схемы: диаграммы - исправлено отображение нескольких серий
- [289332] Схемы: Настройки визуального отображения - контекстное меню отключено
- [289161] Схемы: рефакторинг функции выравнивания
+ [203515, 185468] Схемы: поддержка тем и стилей
- [289256] Схемы: исправлена ошибка неверного расчета габаритов фигур
- [289427] Схемы: Подсветка кнопки "Область примечаний" в вкладке "Рецензирование" при открытой панели примечаний
- [289231, 289368] Схемы: диаграммы - исправлена ошибка рисования диаграмм вне диапазона фигуры
- [289399] Схемы: добавлена возможность вводить минус и запятую в таблицы даиграммы
- [285802] Параметры: исправлена ошибка в работе js-метода "onAfterInputParams", при которой это событие не срабатывает при повторном выборе параметров
+ [280026] Схемы: добавлена возможность указывать ограничение размера схемы для отображения

--- 6.1011 ---  06.10.2025
- [288428] улучшено автодополнение поля ввода привязанного к не справочному полю
- [289250] Отчеты: исправлена ошибка расчета положения и ширин столбцов таблиц, если одна из них передается параметром из грида
- [289171] Схемы: диаграммы - доработано отображение осей диаграммы при различном масштабе схемы
- [289208] Схемы: диаграммы - исправлена ошибка обновления осей после удаления таблицы
- [289214] Схемы: диаграммы - изменены названия свойств серии
                           - свойство "X поле данных" на "Поле данных оси X"
                           - свойство "Y поле данных" на "Поле данных оси Y"
                           - свойство "Текст поле данных" на "Текстовое поле данных"
- [289233] Схемы: диаграммы - исправлена отрисовка серии типа "Точки"
- [288422] Внешние файлы: исправлена ошибка в работе js-метода "executeReadFile", при которой он всегда возвращал false, даже если файл был загружен

--- 6.1010 ---  03.10.2025
- [289173] ошибочно выпадает спиоск автодополнения в поле ввода в режиме ввода справочного значения
- [289195] не полностью очищаются и коприруются сигналы
+ [288998] Схемы: добавлена поддержка привязки к контуру скругленных фигур
- [289162] зависание при получении размера блоб поля
+ [288325] рефакторинг core::Signal - двунаправленная связь
- [287951] Схемы: исправлена ошибка, из-за которой значок пересечения соединительных линий мог отображаться некорректно
- [288427] не выбирается автодополнение в поле ввода после очистки пустого поля ввода
- [287418] исправлена ошибка в одной из функций отмены последнего действия
- [288208] при сохранении формы сначала вызывать onBeforeCommit формы, затем проверку пустых полей в источниках
- [288531] Документ: исправлено сохранение в буфер обмена изображений, у которых отсутствует путь к файлу
- [288717] Диаграммы: исправлена ошибка отображения даты и времени
- [288758] #fsert Схемы: исправлены ошибки связанные с избыточным сравнением с нулевым значением
- [288737] Схемы: добавлены ограничения на переразмеривание всплывающего окна примечаний
- [289203] Схемы: диаграммы - доработан механизм загрузки и сохранения серий диаграммы
- [288787] Схемы: изменено имя приложения на "АСМОграф"
- [287936] Формы: Исправлена ошибка, когда при использовании фильтра некорректно выбирается строка грида.
+ [288899] Схемы: добавлена автопрокрутка и фокусировка на окне ввода примечаний при открытии всплывающего окна с примечанием
- [288899] Схемы: заблокирована возможность добавлена и редактирования примечаний для заблокированных фигур
! [289053] Диаграммы: Добавлена возможность создавать вертикальный scrollbar
- [289175] Схемы: диаграммы - исправлена ошибка построения диаграммы типа "Точки"
- [288773] Формы: исправлено зависание при выделении нода в дереве

--- 6.1005 ---  29.09.2025
! [288007] #fstec Возвращены функции не входящие в сборку для ФСТЭК
- [277536] Схемы: отключено сохранение библиотека примитивов при сохранении примитива
- [288163] Схемы: изменена иконка сохранения изменений в редакторе примитива

--- 6.1003 ---  29.09.2025
! [288007] #fstec Отключены функции не входящие в сборку для ФСТЭК
- [287416] Схемы: доработана привязка к вершинам при создании фигур (кривая, ломаная, многоугольник, криволинейная область)
- [288633] Схемы: исправлена ошибка возможности управления контрольными точками у кривой в редакторе примитивов
- [288163] Схемы: исправлена ошибка отображения схемы при загрузке из таблицы через схемный контрол
- [288212] Диаграммы: исправлен расчет отступов в горизонтальных столбцах
- [284329] Схемы: эффекты временно выключены
- [286729] Схемы: удалена возможность отключать функционал Избранные примитивы
- [286728] Схемы: удалена возможность отключения диаграмм

--- 6.1002 ---  26.09.2025
- [288312] Схемы: рефакторинг метода расчета координат вершин фигур
- [284341] Схемы: изменен подход к отрисовке дуг у скругленных ломаных линий
- [288467] Отчеты: исправлена ошибка присваивания -1 для recordIndex
- [287161] Отчеты: исправлена ошибка расчета ширины столбца при передаче грида в отчет параметром
- [288602] Схемы: JS - доработан метод refreshScheme
- [288215] Формы: исправлено зависание при сохранении при фокусировки на вкладке с изменяемым значением
- [288626] Схемы: исправлена ошибка при удалении поля серии
- [285693] Схемы: исправлена ошибка построения соединительной линии при перемещении промежуточной вершины
- [288649] Схемы: исправлена ошибка связанная с некорретной работой диологовых окнон у "Тип стрелки"
- [288615] Формы: исправлена ошибка, которая позволяла вводить некоректное число в контроль ввода для дробного типа

--- 6.1001 ---  24.09.2025
+ [285759] Схемы: добавлена возможность сохранения избранных примитивов в файл
- [288380] Диаграммы: исправлена ошибка, из-за которой текст на горизонтальных осях мог отображаться некорректно
+ [288523] Схемы: свойство "Радиус скругления" теперь учитывается во время операции "Объединить ломаные"
- [288356] не устанавливать признак изменения блоб поля при обновлении размера блоба в записи данных
- [287988] в гриде не отображаются записи, если скрыт столбец, по которому осуществляется сортировка
- [287947] Формы: исправлена невозможность перетаскивания окна Редактор пользователей
+ [288300] Схемы: добавлена поддержка скругления для мультимногоугольников
- [288430] при автодополнении в поле ввода не справочного типа и закрытии пустого выпадающего списка присваивать значение введенного текста
- [288459] Формы: исправлена ошибка в формате данных в поле ввода
+ [288297] Grid: 52036 - свойство "Интеллектуальное перемещение"
+ [288468] Формы: добавлена автоматическая прокрутка содержимого Видимости столбцов при dragDrop
- [288329] отмена измений по позиционированнию в выборкке источника из задания 287248
- [288423] не вызывать в гриде onSelected при синхронизации с источником данных, если грид не имее фокуса ввода
- [288267] Схемы: теперь при изменении режима просмотра схемы в ленточном интерфейсе надпись кнопки "режимы" не изменяется
- [287528] Внешние файлы: N53028 - js-метод "signFileCades()" : добавлена возможность передачи пароля закрытого ключа сертификата для подписи данных
- [288374] Схемы: изменен подход к сужению дуг в алгоритме скругления линий
- [288263] исправлена некорректная установка цвета ячеек при создании отчета Excel
+ [288375] Формы: добавлена возможность изменения порядка столбцов в диалоговом окне Видимость столбцов используя dragDrop
- [288177] Схемы: Удалена кнопка "Область примечаний", в вкладке "Объекты", панели "Инструменты", классического интерфеса.
- [288183] Схемы: Исправлена неправильная фокусировка на примечании при сокрытии и открыии примечания
- [288183] Схемы: Исправлена неправильный цвет в окне ввода примечания при изменении фокуса на другие объекты
- [288376] исправлена ошибка механизма фокусировки между контролами
+ [277718] добавлена возможность выделения частично попавших в область объектов (Файл - Настройки - Дополнительно - Выделять фигуры, частично находящиеся в области).
- [288181] Схемы: закрытие окна с примечаниями при удалении всех примечаний окно примечаний
+ [288282] Схемы: в ленточный интерфейс добалена кнопка "Стиль соединительных линий"
! [278152] Схемы: исправлена ошибка связанная с обрезанием картинки при определенном масштабе
- [288426] Схемы: Ленточный интерфейс, исправлена ошибка с отображением стрелочек у "Тип стрелки", указывающих на наличие подменю
- [288337] Диаграммы: исправлена ошибка связанная с утечкой памяти в кастомных подсказках
- [288338] Диаграммы: исправлена ошибка связанная с утечкой памяти в кастомных подсказках
- [288471] Схемы: настройка выделения частично попавших в область фигур, теперь сохраняется в конфигурацию
- [286999] Схемы: исправлена ошибка отображения предварительного просмотра примитива для панели с библиотеками примитивов, прижатых снизу приложения
- [288506] Схемы: исправлена ошибка перемещения ячейки таблицы с зажатой клавишей Shift
- [288171] Схемы: исправлена ошибка сворачивания панели с библиотеками примитивов
+ [287111] Добавлена поддержка игнорирования файлов при конвертации adoc файлов
- [287799] При неудачном открытии справки теперь отлавливаются все ошибки
- [288313] исправлена ошибка, из-за которой пропадает позиционирование во вкладках
- [287880] Доработано отображение полей ввода
- [287778] Исправлена ошибка при отрисовки тени с нулевым размером
- [287159] Схемы: исправлена ошибка сохранения стрелок при их назначении через верхнюю панель в ленточном интерфейсе
! [288239] Схемы: Доработано сохранение и загрузка таблицы диаграммы
- [288390] Схемы: Исправлена ошибка неполного создания кривой или ломаной

--- 6.1000 ---  19.09.2025
- [288036] при добавлении или изменни пользователя не проверять признак ввода и правильность пароля, если установлен признак домееной аутентификации
- [288047] при загрузке в поля типа файл через внешние файлы добавлять содержимое файла для предпросмотра, если размер файла менее 64Мб
- [288335] #fsert Схемы: схемный контрол DEREF_OF_NULL.DYN_CAST
- [288158] Схемы: Исправлена ошибка нерабочей кнопки "Область примечаний", в выпадающем списке "Видимость панелей" вкладки "Вид", ленточного интерфейса

--- 6.999 ---  19.09.2025
- [288323] Схемы: исправлено скругление для завышенных радиусов
- [288324] Схемы: исправлено скругление при острых углах
- [288028] некорректно передается значение аргумента в событие onValidate
- [288022] некорректно передается значение аргумента в событие onValidate
- [288286] оптимизация получения признака null и размера полей типа файл
+ [285589] Схемы: добавлено новое свойство "Радиус скругления" у ломаных линий, многоугольников и прямоугольников, отвечающее за скругление углов у фигур
+ [287949] Формы: добавлена возможность менять позиции столбцов в дилоговом окне Видимость столбцов
+ [287870] Схемы: добавлена возможность получения скриптового имени у библиотечного элемента
+ [288148] Схемы: При выделении фигуры, или добавления примечания, ползунок панели примечаний, автоматически сдвигается, чтобы отобразить примечание
- [287938] Доработан механизм перетаскивания файлов в приложение
- [288149] Схемы: Исправлена ошибка открытия поп-ап меню примечаний, когда была открыта панель примечаний, при нажатии на кнопку "Добавить примечание" в меню "Вставка" ленточного интерфейса
- [288328] исправлена ошибка механизма фокусировки между контролами

--- 6.998 ---  18.09.2025
+ [287053] Отчеты: печать диаграмм Ганта
+ [288262] Графический редактор: Импорт DWG/DXF
           - Для многострочных текстов добавлен импорт коэффициента сжатия текста.

--- 6.997 ---  17.09.2025
- [288228] Схемы: исправлено отображение некоторых кнопок ленточного интерфейса в 4К
- [288105] Формы: исправлено не верное отображение в диалоге Видимость столбцов
- [288213] Схемы: исправлена кнопка дополнительной информации в окне ошибки отсутствия справки
- [287418] Схемы: рефакторинг кода обновления экрана в функциях undo-redo
- [288049] Деревья: Исправления
           - Исправлена ошибка, при которой после раскрытия узла происходит автоматическая фокусировка на текущем выделенном узле.
- [287835] Исправлено неверное отображение кол-ва выбранных экспортируемых библиотек при повторном экспорте
- [288217] Схемы: кнопки работы с изображениями теперь корректно отобрааются в 4к разрешении
- [288100] Графический редактор: Изображения - исправлена ошибка с вводом бесконечного числа знаков после запятой
+ [287773] Схемы: добавлено событие onMove у библиотечных примитивов
- [287417] Схемы: исправлена ошибка привязки к вершине фигуры в случае возникновения привязки к контуру другой фигуры
- [288126] Графический редактор: Изображения - исправлена ошибка отсутствием знака процента в полях ввода
- [288122] Графический редактор: Изображения - исправлена ошибка с вводом бесконечных нулей перед числом
- [288154] Схемы: Исправлена ошибка открытия длинного примечания
+ [284284] Схемы: добавлена возможность выделения фигур по области в режиме просмотра через клавишу Ctrl
- [288166] Схемы: Ленточный интерфейс - не подсвечивалась кнопка "Панель примечаний", при открытой панели примечаний
- [288254] Графический редактор: Изображения - исправлена ошибка с вводом нуля перед числом и смещение коретки в поле
- [288102] Графический редактор: Изображения - перемещаться по окошкам ввода числовых значений через клавишу Enter нельзя
- [288264] Схемы: Ленточный интерфейс - исправлена ошибка при нажатии на кнопку область примечаний в меню рецензирования

--- 6.996 ---  16.09.2025
- [288103] Схемы: исправлены функции работы с изображениями, не переименованные в 287866
- [287971] Графический редактор: Изображения - настройка изображений
           - Исправлена ошибка, при которой после закрытия окна настроек изображения снималось выделение с картинки.
           - Исправлена ошибка, при которой после применения настроек изображений, картинка отображалась на схеме некорректно.
           - Исправлена ошибка, при которой после отмены/повторения изменения настроек изображения, картинка не выделялась автоматически.
- [288169] Диалог удаления элементов коллекции теперь работает корректно
+ [287968] Графический редактор: Изображения - настройка изображений
           - Добавлена поддержка Undo/Redo для параметров изображений.
- [288093] доработан механизм фокусировки между контролами
- [287899] Схемы: Исправлена ошибка обрезки фигуры при получении картинки библиотечного примитива
- [287956] Схемы: доработан пересчет габаритов группы, содержащей в себе только невидимые фигуры
+ [277719] Схемы: Добавлена возможность форматирования фигур по образцу, где образец - это первая выделенная фигура
- [288152] Схемы: Исправлена ошибка при прокуркте окна примечаний
- [287871] Схемы: исправлена ошибка отмены создания ломаной при непосредственном создании другой фигуры
- [288142] #ave Схемы: исправлена ошибка неправильного вычисления габаритов фигур
- [288150] Схемы: при выделении примечаний для страниц на панели примечаний происходит переключение на страницу
- [287888] Схемы: применяются для диаграммы внесенные через таблицу
+ [285790] Схемы: таблицы - добавлен механизм выбора строк и столбцов через клавишу Shift

--- 6.995 ---  12.09.2025
- [287948] Деревья: Печать - Исправления
           - Исправлена ошибка, в результате которой в полученном при печати файле появлялись пустые строки.
           - Исправлена ошибка, в результате которой в полученном при печати файле отсутствует часть данных.
+ [288099] Формы: Добавлена возможность вводить значение в поле (edit, grid) с типом данных временной интервал используя следующие разделители , . : ;
+ [287999] Формы: Добавлена возможность изменять значение поля (edit, grid) колесиком мыши для типа данных Дата/Время и формата YYYY, HH, HHMM, HHMMSS
- [288024] Исправлено неправильное отображение текста информации о гриде
! [283452] Диаграммы: добавлена возмножность настройки всплывающего окна:
           - менять цвет заливки окна
           - менять цвет и скругление рамки
           - добавлена возможность задавать текст подсказки
           - добавлена возможность задавать размеры окна
           - настройка шрифта
- [288093] доработан механизм фокусировки между контролами
- [288092] Схемы: изменена внутренняя структура окна формата изображения
- [288111] Схемы: иправлен способ хранения формата изображения

--- 6.994 ---  10.09.2025
- [288001] Формы: исправлено зависание клиента, связанное с вызовом метода onValidate
- [287964] Графический редактор: Изображения - настройка изображений
           - Исправлена ошибка, при которой значение гаммы не сохранялось.
           - Исправлено отображение минимально возможного значения гаммы при повторном открытии окна настроек изображения.
           - Исправлена ошибка, при которой после изменения параметров изображения происходило аварийное завершение работы клиента.
- [287970] Графический редактор: Изображения - настройка изображений
           - Отключена возможность масштабирования, перемещения и выделение части изображения в окне настройки.
! [288007] #fsert Схемы: возвращена поддержка эффектов
- [285936] Отчеты: исправлена ошибка "падения" клиента при обновлении фрейма после генерации отчета

--- 6.993 ---  09.09.2025
! [288007] #fsert Схемы: временно отключена поддержка эффектов
- [287788] Help: сообщение об ошибке открытия файла справки больше не дублируется
- [287435] Схемы.
       - Изменены функции fltk. Теперь они не используют символ @ для создания специальных символов
       - Добавлены новые функции, поддерживающие @ символы и имеющие в названии "_with_special_symbols"
- [287113] Клиент: Изменения
           - Добавлена поддержка настройки агента «autoconfirm_update».
- [287866] Схемы: в функциях работы с картинками теперь используется только слово "Изображение"
- [287858] Схемы: добавлены иконки в подпункт "картинка" контекстного меню
+ [287670] Редактор: улучшено окно перехода к строке и позиции
- [287486] Help: исправлена ошибка, при которой справка повторно не открывалась
- [287510] amconsole: исправлена ошибка, при которой в редакторе конфигурации не появлялось окно поиска текста
- [287859] Графический редактор: RIBBON
           - Исправлена ошибка, при которой контент вкладки «Формат» остаётся видимым, когда сама кнопка становится невидимой.
+ [287907] Графический редактор: RIBBON
           - В главное меню добавлена кнопка обновления схемы.
- [287900] Схемы: исправлена ошибка закрытия программы при попытке добавить примечание к страницы, при помощи вкладки "Вставка"
- [287873] Схемы: исправлена ошибка, при которой в окне настройки формата картинки можно было ввести некорректные значения
- [287822] исправлена ошибка, при которой не срабатывает свойство "Скрываемый" у столбца если внутри есть еще несколько столбцов
- [287869] Схемы: добавлено сохранение изменений формата изображения при повторном открытии
- [287869] Схемы: исправлена ошибка при которой при установки предыдущих значений формата изображения, изображение отличалось
- [287883] Схемы: Получение скриптового объекта примитива перенесено в компонент "Редактор библиотеки примитивов"

--- 6.992 ---  04.09.2025
- [287258] Отчеты: исправлено зависание при построении дерева

--- 6.991 ---  03.09.2025
- [287892] некорректно прочитываются спец символы в запросах к данным
- [287853] Дерево: Печать - Исправления
           - Исправлено зависание процесса печати дерева.
+ [287870] Схемы: добавлена возможность получения описания у библиотечного элемента
- [285675] Схемы: js importPrimitive перемещен в невизуальный компонент "Редактирование библиотеки примитивов"

--- 6.990 ---  03.09.2025
- [287840] Отчеты: исправлена работа фильтров
- [287828] в некоторых случаях зависание при вызове WaitWindow.leave()
+ [285207] Новое окно авторизации: Изменения
           - Реализована возможность входа, используя данные, полученные из командной строки, например с помощью флагов
             -sСЕРВЕР, -nБАЗА_ДАННЫХ, -uПОЛЬЗОВАТЕЛЬ или с помощью ссылки типа asmo://server:port/runnode/nodeid
+ [287321] Отчеты: изменение шрифта ячеек таблицы при изменении характеристик шрифта столбца в скрипте
- [286290] Схемы: исправлена ошибка появления артефактов при большом масштабе схемы
- [287399] Доработано описание функции edit в help
- [258046] Схемы: доработаны механизмы воздействия на фигуры с помощью мыши с учетом скроллирования и масштабирования колесом мыши
- [287136] Схемы: доработано отображение примитивов при редактировании вложенных в них текстовых абзацев
- [285584] Схемы: изменено минимально допустимое значение dpi до 96 при копировании выделенных фигур
- [287831] Диаграммы: исправлена ошибка с видимостью осей диаграммы
- [287248] Отчеты: исправлена ошибка высвобождения памяти для фильтров

--- 6.989 ---  01.09.2025
- [287386] не корретно перемещается узел драг-дропом в дереве данных
- [287781] ошибка при добавлении файла нулевой длины через внешние файлы
- [287479] Графический редактор: RIBBON
           - Исправлена ошибка, при которой часть текста в кнопке вкладки обрезается на широкоформатных мониторах.
- [287478] AV в дереве данных при удалении нескольких узлов
- [287152] Новое окно авторизации: Исправления
           - Исправлена ошибка "Access Violation" при закрытии окна подключения до завершения процедуры подключения.
+ [268762] Схемы: Изображения - настройка яркости
+ [268763] Схемы: Изображения - настройка контрастности
+ [268764] Схемы: Изображения - настройка гаммы
+ [283619] Схемы: Изображения - добавлена возможность активации настроек для изображений

--- 6.988 ---  01.09.2025
- [287478] AV в дереве данных при определении необходимости пересчета итогов после удаления узла
+ [287249] Формы: в средства прикладной разработки добавлен класс Socket, который можно использовать для прослушивания сообщений по протоколу TCP/IP
- [287139] Дерево: Печать - Исправления
           - Исправлена ошибка, при которой данные некоторых узлов дерева отображаются как «...».
- [282303] Дерево: Печать - Исправления
           - Оптимизирован процесс печати выделенных узлов дерева.
- [286866] Дерево: Печать - Исправления
           - Исправлено зависание процесса печати дерева.
- [282876] Дерево: Печать - Исправления
           - Исправлено зависание процесса печати дерева.
- [282875] Дерево: Печать - Исправления
           - Оптимизирован процесс печати деревьев.
- [287231] Схемы: Экспорт DWG - аварийное завершение в Linux из-за неправильной кодировки в наименовании слоя
- [287155] зависание при позиционировании в дереве данных в выборе записи формой при многократном завпуске выбора записей
- [252921] Выбор записей формой - скорректирован алгоритм определения полей источника
- [287466] #fsert UNCHECKED_FUNC_RES.STAT fc_diagram.cpp
- [287476] #fsert Схемы: схемный контрол DEREF_OF_NULL.RET.STAT
- [287284] Отчеты: исправлена ошибка объединения ячеек
- [285834] Схемы: при наведении на фигуры появляется иконка перемещения
+ [284011] Схемы: добавлен механизм активации динамических вкладок для ленточного интерфейса
- [287484] добавлены недостающие константы пакета DataTypes
- [286261] Схемы: js edit, добавлена поддержка загрузки шаблонов схем
- [287285] Схемы: добавлены поля настройки диаграммы "X поле данных" "Y поле данных" "Текст поле данных"

--- 6.986 ---  28.08.2025
- [287466] #fsert UNINIT.CTOR src/thinclient/syswin/dialog_forms.cpp
- [287397] cобытие onChange поля ввода иногда вызывается дважды
! [287248] Отчеты: исправлена работа с записями в невалидных источниках из скрипта
- [287392] Схемы: исправлена ошибка при которой после фильтра нельзя было добавить примечание
- [287393] Схемы: исправлена ошибка при которой после добавления примечания к фигуре и странице не работали кнопки перемещения панели примечаний
- [287357] Схемы: исправлена ошибка отмены действий, совершаемых на не активном слое
! [287248] Отчеты: исправлена ошибка обновления данных в фильтрах
- [280726] Схемы: исправлена ошибка, при которой после выбора стиля линии «Примитив», до выбора стиля и нажатия клавиши «ОК», активировалась дискетка сохранения схемы

--- 6.985 ---  27.08.2025
- [287141] некорректно обновляется признак доступности кнопки привязанной к действию коспонента внешние файлы
- [287356] скорректирован вызов события "onValidate" при изменении поля источника данных
- [287312] Схемы: исправлен поворот текста внутри фигуры - убрано смещение и добавлено сохранение состояния свойства "Вписывать"
- [263350] Help: исправлены переходы по гиперссылкам внутри документа (asciidoctobin, см. 5685bcbfc0a3b03f94cef726fbdfcd5988effdbb)
- [287161] Отчеты: исправлена ошибка печати заголовков в гридах и деревьях
- [287291] #fsert src/thinclient/schemes/sd_pages.cpp DEREF_AFTER_NULL
           #fsert src/thinclient/js/pkg_graphics.cpp DEREF_OF_NULL.RET.STAT
           #fsert src/thinclient/schemes/mnemo_engine.cpp DEREF_OF_NULL.RET.STAT
           #fsert src/thinclient/syswin/param_form.cpp NULL_AFTER_DEREF
           #fsert src/server/agent/java/src/inform/agent/net/RequestExecutor.java UNCHECKED_FUNC_RES.STAT
           #fsert src/server/agent/java/src/inform/agent/schemes/SchemeSizeRequest.java UNCHECKED_FUNC_RES.STAT
           #fsert src/thinclient/datamodel/dm_js.cpp UNINIT.CTOR
           #fsert src/thinclient/forms/fc_edit.cpp UNINIT.CTOR
           #fsert src/thinclient/gui/agg/include/agg_scanline_p.h UNINIT.CTOR
           #fsert src/thinclient/syswin/dialog_forms.cpp UNINIT.CTOR
- [287296] #fsert Схемы: схемный контрол DEREF_OF_NULL.RET.STAT
- [287296] #fsert Диаграммы: компонент формы DEREF_OF_NULL.RET.STAT
- [287260] Новое окно авторизации: Исправления
           - Исправлены ошибки в функциях управления ключами авторизации, связанные с кириллическим написанием имени пользователя системы.
+ [263352] Help: добавлены возвраты назад-вперёд по страницам (кнопки в UI работают везде, горячие клавиши Alt+Left и Alt+Right работают только в поиске) + добавлена печать страниц
- [284334] Схемы: добавлены фильтры для панели примечаний
! [285936] Отчеты: исправлена ошибка взятия фокуса после обновления фрейма при формировании отчета
- [284021] Схемы: исправлены недочёты работы окна изменения масштаба схемы
- [287136] Схемы: исправлена ошибка неправильного отображения фигуры при изменении текста внутри нее
! [287234] Диаграммы: для указателя в диаграмме градиен можно задавать цвет и размеры
- [284124] Схемы: запрещена работа с примечаниями во время редактирования примитива в библиотеке примитивов
- [284124] Схемы: при добавлении примечанию к примитиву на схеме, он преобразуется в графическую группу
- [287309] Схемы: доработки зависания при вызове JS-метода "importScheme"
- [285894] Диаграммы: исправлено отображение диаграмм в 4к
- [284342] Диаграммы; исправлено отображение диаграммы
- [278061] Схемы: исправлена ошибка при копировании схемы как изображения с включенным параметром "показывать габариты"
- [287137] Схемы: проведен рефакторинг методов, убран malloc
- [286569] Схемы: При дублировании страниц, дублируются примечания у фигур и страницы
- [286569] Схемы: Исправлена ошибка при которой не подсвечивалась иконка примечаний у страницы
- [286569] Схемы: Исправлена ошибка при которой текст заголовка у панели примечаний вылезал за приделы панели
- [286569] Схемы: Исправлена ошибка при которой невозможно ввести примечания при помощи кнопки "Enter"

--- 6.984 ---  22.08.2025
+ [287221] Схемы: JS-метод "createBinding" для создания из JS привязки графики к данным
- [286861]  исправлены условия добавления фигур в библиотеку примитивов Избранное при dragDrop
- [287156] исправлено отображение подсказки для поля ввода
- [274149] Схемы: исправлено игнорирование запрета на экпорт для слоя
+ [186350] Схемы: добавлено подтверждение удаления элемента из коллекции
+ [287111] Добавлена поддержка include при конвертации adoc файлов
! [281098] Диаграммы: доработка диаграммы градиент
- [287240] Внесены правки с практики в helpconverter и asciidoctobin

--- 6.983 ---  20.08.2025
+ [186346] Схемы: добавлен серый фон для readonly-свойств
- [287112] Выбор записей формой: N52939 - зависание клиента при запуске формы выбора с опцией "Устанавливать текущую запись"
- [287186] Отчеты: исправлена цветная печать гридов и деревьев

--- 6.982 ---  20.08.2025
- [260611] Схемы: "Порядок" -> "Поместить за объектами"/"Поместить перед объектами" - теперь работает выбор нескольких объектов с помощью прямоугольника выделения
- [287019] Схемы: исправлена ошибка, когда при копировании линии или ломаной как картинки не учитывалась стрелка
- [285936] Отчеты: исправлена ошибка очистки памяти при уничтожении фрейма

--- 6.981 ---  19.08.2025
- [287127] Отчеты: исправлена ошибка чтения нулевого свойства value для ячеек таблиц

--- 6.980 ---  18.08.2025
- [260321] Схемы: при форматировании по образцу теперь синхронизируются свойства в UI + исправлено копирование некоторых свойств
- [285625] #wasm в https копирование через Ctrl+C теперь работает везде
- [287132] Отчеты: исправлена ошибка системной печати дерева (цветная печать)
- [287094] лишние проверки ASSERT при сохранении Blob-файлов

--- 6.979 ---  15.08.2025
- [287086] при добавлении библиотеки примитивов Избранное, она добавляется во всех открытых вкладках со схемой
- [287094] ASSERT при сохранении Blob-файлов в браузере
+ [285473] Схемы: добавлена поддержка внешней тени от размеров
+ [285470] Схемы: добавлена поддержка внешней тени от стрелок

--- 6.978 ---  15.08.2025
+ [285757] при добавлении библиотеки примитивов Избранное, она устанавливается в качестве первой вкладки в окне Библиотеки примитивов
- [287059] Графический редактор: Эффекты
           - Исправлено экстренное завершение приложения
- [286083] Отчеты: исправлена ошибка печати итогов при выгрузке грида в качестве параметра

--- 6.977 ---  14.08.2025
- [281154] Схемы: исправлены операции комбинирования фигур, если у них одинаковые X или Y
- [286961] ASSERT при подготовке выборки данных
- [287036] Схемы: зависание при вызове JS-метода "importScheme"
- [287038] Схемы: исправлено подсвечивание кнопки
- [274531] Схемы: изменено сообщение об ошибке при импорте и вставке директорий
- [282687] Диагностика dm::BlobContainer
- [286563] Схемы: для области примечаний добавлен учёт защиты страницы
- [286563] Схемы: исправлена ошибка отображения неправильного имени страницы в области примечаний, если там были примечания

--- 6.976 ---  14.08.2025
- [286291] Графический редактор: Подсветка
           - Исправлена ошибка, при которой подсветка обрезалась при отрисовке в отражении
- [287014] Схемы: исправлено некорректное позиционирование теней у примитивов, отключен рендер эффектов во время перемещения примитивов
- [287022] Схемы: параметр "Размер" теперь скрывается для теней с типом "Внутри" и больше не влияет на их отрисовку
- [287027] Схемы: исправлен неверный порядок примитивов после удалиния примитива из Библиотеки примитивов Избранное
- [285889] Справка: оптимизирован вызов разделов справки и исправлена ошибка повторного открытия справки в клиент-серверной версии
- [286593] Отчеты: исправлено отсутствие границ ячеек в заголовке таблицы
- [287016] Схемы: исправлено условие при котором возможно добавлять фигуры со схемы в Избранное
- [286952] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT schemes/sd_image.cpp
- [286949] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT gui/gui_scrollable_image.cpp
! [286976] Внешние файлы: возвращена возможность выбирать несколько файлов для загрузки в источник как Blob-файлы с помощью executeAddToBlob
- [287000] Формы: Добавлен приватный режим в компоненте Image для pdf документа
- [286506] Отчеты: исправлена ошибка сохранения стилей наследуемых шрифтов
- [285936] исправлен порядок обхода виджетов при обработке событий
- [286590] панель примечаний реагирует на добавление фигур (копирование, дублирование), а также удаление фигур (удаление, вырезать) и удаление слоя
! [283265] Исправление ошибки исчезновения курсора на символе \r
- [285923] исправлено отображение выбора параметра, привязанного к полю таблицы
- [286982] исправлена ошибка зависания приложения при переключение на другое приложение с открытым всплывающим окном примечаний
- [285897] Схемы: исправлена ошибка отображения стрелок у линии при добавлении эффектов. Также доработан эффект подсветка
для правильной работы со стрелками.
- [286955] #fsert сообщение диагностики UNCHECKED_FUNC_RES.STAT: dukArgToBinary в fc_scheme.cpp
- [286957] #fsert сообщение диагностики UNCHECKED_FUNC_RES.STAT в sd_library.cpp
- [285777] Диаграммы: исправлены диаграммы в аналитических таблицах
- [286313] Исправлена ошибка обновления названия свойства "Стиль линии" в ИО при выборе типа линии "Примитив"
- [286991] Схемы:  исправлена ошибка первое примечание для новой страницы добавлялось выше заголовка страницы

--- 6.975 ---  12.08.2025
- [286948] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT core/queues.cpp
- [286954] #fsert сообщение диагностики: adt_unix.cpp UNCHECKED_FUNC_RES.STAT
- [286984] исправлена отрисовка иконки оповещения лога
- [286916] Grid: при выборе пункта контекстного меню "Очистить полн в выделенных записях" не учитывалось свойство "Только для чтения"
- [286857] Формы: Исправлена отрисовка выделенных строк в гриде

--- 6.974 --- 11.08.2025
- [285468] Схемы: исправлена отрисовка теней для объектов, которые находятся внутри групп
- [285474] Схемы: исправлена отрисовка теней для многоугольников
- [285471] Схемы: исправлена отрисовка теней для таблиц
- [285475] Схемы: исправлена отрисовка теней для областей
- [286950] #fsert: Сообщение диагностики DEREF_OF_NULL.RET.STAT schemes/engine.cpp
- [285437] Схемы: исправлен поворот текста внутри фигуры - убрано смещение и добавлено сохранение состояния свойства "inscribe" ("Вписывать")
- [286881] Отчеты: исправлена ошибка печати грида
- [285936] Отчеты: исправлена ошибка аварийного завершения работы клиента при формировании отчета
- [286859] Grid: зацикливание при расчете итогов в отчете
- [286855] Схемы: исправлена ошибка при удалении последнего примитива из Библиотеки примитивов Избранное
- [286862] Схемы: исключено добавление фигуры Диаграммы в Библиотеку примитивов Избранное
- [286832] Схемы: исправлена ошибка отображения курсоров при первом запуске
- [286842] Схемы: исправлены ошибки в окне редактирования всплывающих подсказок
- [285584] Введен параметр DPI (Настройки - Дополнительно - Параметры копирования - Качество копируемого изображения (DPI)) для функции "Копировать изображение"

--- 6.973 --- 08.08.2025
- [285927] Схемы: исправлена ошибка при которой перемешался вписанный текст при использования иконки примечания и ротора фигуры
- [286839] Схемы: исправлена ошибка возникающая при dragDrop фигуры со схемы в библиотеку примитивов

--- 6.972 --- 08.08.2025
- [286729] добавлена возможность отключать функционал Избранные примитивы

--- 6.971 --- 08.08.2025
- [286780] Grid: зацикливание при расчете итогов
- [286780] Decimal: исправлено преобразование NaN в double
+ [285466] Схемы: для эффекта "Тень" добавлен вариант "Перспектива"
+ [286215] Схемы: для эффекта "Тень" добавлен вариант "Внутри"
+ [286719] Графический редатор: Эффекты
           - Добавлена возможность отключить эффекты на системном уровне.
+ [285758] Схемы: добавление фигур со схемы в библиотеку примитивов используя механизм dragDrop
- [286750] Дизайнер формы: окно поиска текста теперь отображает название выбранного редактора
+ [286835] Схемы: таблицы - добавлена навигация стрелками клавиатуры для строк и столбцов таблицы
+ [286829] Схемы: таблицы - добавлен механизм выбора ячеек через клавишу Shift
- [281909] Документ: исправлено подчеркивание пробельных символов в ссылках
- [284538] Схемы: при перемещении страниц изменяется порядок примечаний в области примечаний
- [284538] Схемы: при удалении страницы удаляются примечания в области примечаний
- [284538] Схемы: при переименовании страниц переименовываются переименовываются страницы в области опримечаний
+ [284066] Схемы: в ленточный интерфейс добавлена возможность изменения примечаний по аналогии с Visio
- [286721] Схемы: исправлена ошибка активации кнопок смены типа стрелок
+ [286728] Схемы: добавлена возможность отключения диаграмм

--- 6.970 --- 07.08.2025
! [286500] #fsert Ограничено количество модулей, доступных в скриптах схемных примитивов
- [284117] CheckBox: неправильно менялось значение флажка, привязанного к полю источника данных при вызове throw в событии "onValidate" для поля источника данных
- [286765] Отчеты: исправлена сортировка строковых значений в развороте

--- 6.969 --- 06.08.2025
- [286766] не срабатывает настройка Представление=Логическое ячейки дерева данных привязанной к первичному ключу
- [286361] Схемы (инспектор объектов): доработано обновление кеша адаптера у свойства
- [286006] Edit: не менялось значение поля ввода при изменении поля данных
- [285835] Диаграммы: исправлено отображение текста в легенде

--- 6.968 --- 06.08.2025
- [286476] #fsert: Сообщение диагностики DEREF_OF_NULL.RET.STAT
- [286596] Схемы: исправлен порядок сохранения примитивов из библиотеки Избранное
- [286451] #fsert: Сообщение диагностики UNCHECKED_FUNC_RES.STAT
- [286566] в поля ввода не изменяется значение, если выпадающий списке пустой и поле не является справчником
- [286496, 286452] #fsert: Сообщение диагностики UNCHECKED_FUNC_RES.STAT
- [286264] исправлен минимальный размер окна ошибки
- [286441] #fsert: Сообщение диагностики UNCHECKED_FUNC_RES.STAT
- [286305] некорректно передаются параметры в компроненте sql оператор
- [270852] Для forms::ScriptExtButtons и forms::ScriptVisibleButtons скриптовые свойства и функции перенесены из initScriptObject в initSctiptClass
- [286433] #fsert: Сообщение диагностики UNINIT.CTOR, UNCHECKED_FUNC_RES.STAT
           - src/thinclient/syswin/doc_dialogs.cpp
- [286439] #fsert: Сообщение диагностики UNINIT.CTOR
- [286448] #fsert: Сообщение диагностики NULL_AFTER_DEREF ext/Freetype/src/sdf/ftsdf.c
- [286447] #fsert: Сообщение диагностики DEREF_OF_NULL.RET.STAT ext/Freetype/src/base/ftobjs.c
- [286490] #fsert: Сообщение диагностики «NULL_AFTER_DEREF»
           - ext/Freetype/src/truetype/ttdriver.c
- [286483] #fsert: Сообщение диагностики «NULL_AFTER_DEREF»
           - src/thinclient/schemes/sd_ribbon_form.cpp
- [286481] #fsert: Сообщение диагностики «DEREF_OF_NULL.RET.STAT»
           - src/thinclient/schemes/sd_image.cpp
- [286454] #fsert: Сообщение диагностики «UNCHECKED_FUNC_RES.STAT»
           - src/thinclient/gui/gui_ribbon.h
- [286426] #fsert сообщение диагностики NULL_AFTER_DEREF ext/Freetype/src/cff/cffgload.c
- [286286] в некоторых случаях не вызывается событие onChange поля ввода
- [285688] Схемы: исправлена ошибка если примитив из библиотеки Избранное выбрать в качестве стиля линии ломаной
- [286428] #fsert сообщение диагностики UNINIT.CTOR  src/thinclient/core/core_babysitter_unix.cpp
- [286479, 286480] #fsert Схемы: сообщение диагностики (Вкладка графического редактора) UNINIT.CTOR
- [286423] #fsert Схемы: сообщение диагностики (Открытие файла) DEREF_AFTER_NULL
- [286440] #fsert Схемы: сообщение диагностики (Схемный контрол) DEREF_OF_NULL
- [286457] #fsert Схемы: сообщение диагностики (Ввод текста) UNCHECKED_FUNC_RES.STAT
- [286466] #fsert Схемы: сообщение диагностики (Изменение параметров примитива) DEREF_OF_NULL.RET.STAT
- [286469] #fsert Схемы: сообщение диагностики (Инспектор объектов) NULL_AFTER_DEREF
- [286482] #fsert Схемы: сообщение диагностики (Библиотека примитивов) DEREF_AFTER_NULL, DEREF_OF_NULL.RET.STAT, NULL_AFTER_DEREF, UNCHECKED_FUNC_RES.STAT
- [286484] #fsert Схемы: сообщение диагностики (Сохранение избранных примитивов) DEREF_OF_NULL.RET.STAT
- [286485] #fsert Схемы: сообщение диагностики (Библиотека примитивов) DEREF_OF_NULL.RET.STAT
- [286495] #fsert сообщение диагностики (Буфер обмена) UNCHECKED_FUNC_RES.STAT
- [286503] Диаграммы: исправлено поведение события "Действие по левой клавише мыши"
- [286438] Диаграмым: исправлен метод проверки индекса серии
- [280337] Диаграммы: исправлена ошибка отображения подписи при попадании сектора диаграммы за ось
+ [284539] Схемы: добавлена кнопка "Область примечаний" в ленточный интерфейс
- [286568] #fsert Схемы: сообщение диагностики (Библиотека примитивов) ACCESS VIOLATION
- [286314] добавлены недостающие константы пакета DataTypes
- [286552] синхронизированны форматы внешних файлов с толстым клиентом
- [285898] исправлен доступ к выбору даты в дереве для специальных форматов

--- 6.967 --- 04.08.2025
- [286266] Окно "О программе": добавлено отображение версии сервера
- [283527] Окно "Количество строк, прокручиваемое колёсиком мыши": добавлена фокусировка на поле ввода и отступ сверху
- [285840] Edit: не устанавливалось значение поля ввода после вызова "Формы для выбора"
- [285900] Форма: исправлено отсутствие применения настроек стилевой таблицы к элементам типа gui::Group в Навигаторе Данных (только основное окно, не отдельное)
- [285656] Схемы: исправлена ошибка добавления со схемы примитива-внешняя ссылка в библиотеку Избранное
- [286299] Отчеты: исправлена ошибка системной печати грида
! [286287] Отчеты: исправлена печать элемента "документ" в ячейках таблицы из источника данных
- [286273] Отчеты: исправлена ошибка загрузки стилей ячеек таблиц в колонтитулах
- [285891] AV при запуске формы привязанной к параметрам, если происходит ошибка в скрипте в onInitilize, отображать эту ошибку после закрытия формы
+ [285675] Схемы: добавлена возможность получения скриптового объекта примитива и получения его изображения
! [274161] Схемы: доработан механизм загрузки схемы и многопользовательского режима
- [286303] Диаграммы: исправлена ошибка в работе "Действие по левой кнопке мыши"
- [284537] Схемы: По аналогии с Visio, при нажатие на примечание в панели примечаний, на схеме отображается фигура с примечанием которая была выделена
- [284537] Схемы: При изменения выделения на схеме, в панели подсвечивается примечание у выделенной фигуры

--- 6.966 --- 01.08.2025
- [286063] зависание при многократном подряд обновлении фрейма из скрипта

--- 6.965 --- 01.08.2025
- [285684] Схемы: исправлена ошибка добавления примитива из Избранного на защищенную схему
- [285886] Схемы: исправлена ошибка смещение фигур с эффектами в группе
+ [285602] При удалении примитива если он был последним, выделяется предыдущий

--- 6.964 --- 31.07.2025
- [286063] зависание при многократном подряд обновлении фрейма из скрипта
! [285873] Linux Изменён путь приложения при установке из deb-пакетов (был /opt/asmo/re стал /opt/asmo/asmo-re)
- [284229] Схемы: импорт DWG/DXF - скорректирован импорт контрольных точек сплайна
- [285958] Графический редактор: RIBBON
           - Исправлена ошибка, при которой в ленточном интерфейсе во вложенном контекстном меню мог появляться выбор стрелочки линий.
+ [285103] Графический редактор: Подсветка - Стрелочки
           - Добавлена поддержка подсветки для стрелочек ломаных и кривых.
- [285791] Библиотека примитивов: исправлено отсутствие обновления полосы прокрутки при раскрытии и сворачивании узлов
- [285745] Схемы: исправлено переименование примитивов из избранного
- [285706] исправлено формирование имен внешних файлов, вставленных из буфера обмена
+ [285624] Схемы: в случае добавления фигуры со схемы в избранное, открывается окно библиотеки примитивов, если оно было закрыто и выделяется добавленный примитив
- [285926] не возвращается размер только что загруженного блоб-файла
- [284204] Схемы: импорт DWG/DXF - установка толщины линии по умолчанию
- [285774] Схемы: исправлена ошибка настройки типа начальной и конечной стрелки ломаной из ленточного интерфейса
- [285961] Схемы: эффекты - исключена поддержка эффектов для некоторых фигур
- [285871] зависание при освобождении из скрипта компонента запуска формы, который не запускается для отображения формы и в котором содержатся фреймамы
! [283733] исправлена ошибка подсчета количества дней для интервального формата данных
- [285879] Схемы: доработана настройка толщины линии фигуры
- [284565] Схемы: исправлена ошибка (heap-use-after-free), при вызове контекстного меню и выбора пункта "Подложки" для отображения списка подложек
- [284555] Схемы: при открытой панели примечаний, добавление примечаний через контекстное меню фигуры или иконку примечаний у фигуры, добавление происходит в панель примечаний
- [285888] Схемы: не рисуеться контур выделенных фигур вгруппе имеющих сглаживание

--- 6.963 --- 29.07.2025
- [285779] пропадают записи добавленные в переданный источник после сохранения модели данных
- [285812] Графический редактор: Градиенты
           - Исправлена ошибка, при которой цвета градиента использовались в неправильном порядке.
- [285838] Отчеты: исправлена ошибка отображения значения параметра
- [284219] Схемы: импорт DWG/DXF - скорректирован импорт слоев
- [285772] Отчеты: исправлена работа с ячейками с установленным флагом "в одну строку"
- [285765] Схемы: эффекты - исправлена ошибка настройки эффектов у фигур
- [285766] Схемы: эффекты - исправлена отрисовка эллипса с эффектом внутри группы
- [285723] Схемы: исправлена ошибка при удалении таблицы привязанной к диаграмме
- [283444] Отчеты: исправлена ошибка изменения цвета ячейки из скрипта
- [284021] Схемы: При изменении масштаба при помощи кнопок инкрементирования, показываются первые значения масштаба
- [284021] Схемы: При вводе значений масштаба которые соответствуют предустановленным значениям. Кнопки с предустановленными значениями подсвечиваются
- [284086] Схемы: При наведении на фигуру отображаются только подсказки фигуры
- [285756] Схемы: Исправлено отображение серии горизонтальные столбцы
- [285712] Схемы: исправлена ошибка неправильного отображения подсветки в 4к разрешении
- [285864] Диаграммы: исправлено отображение подписей в серии диаграммы вертикальные столбцы
- [285713] Схемы: исправлена ошибка неправильного отображения отражений в 4к разрешении
- [285704] Схемы: исправлена ошибка отображения эффектов в инспекторе у диаграмм

--- 6.962 --- 28.07.2025
- [276365] Формы: исправлена отрисовка установленного свойства в стилях таблицы "цвет выделенной строки"
+ [285557] возможность постепенной загрузки в блоб-файлы, рефакторинг api sha(1, 256, 512) для асинхронной работы,
           рефакторинг api для отправки запроса частями,
           доработка запроса сохранения предварительно загруженного блоб-файла
- [284225] Схемы: экспорт DWG - неправильный экспорт текстов, содержащих букву "И"
- [285469] Графический редактор: Эффекты - тени
           - Исправлена ошибка, при которой при очистке значения свойства «Размер» появлялась надпись «по слою».
           - Исправлена ошибка, при которой для свойства «Размытие» можно было ввести отрицательное число.
- [285728] Графический редактор: Эффекты - тени
           - Исправлена ошибка, при которой в поле «Угол» можно было ввести число, по абсолютному значению превышающее 360 градусов.
+ [284317] Графический редактор: Эффекты - подсветка
           - Добавлена подсветка для таблиц.
           - Добавлено ограничение на размер подсветки.
- [285464] Схемы: убран выпадающий список в инспекторе объектов у эффекта сглаживания
- [285423] Схемы: стиль заливки фигур отменяется корректно
- [285695] Схемы: исправлено создание таблиц диаграммы
- [285579] Схемы: при выделении фигур рисуются с эффектом сглаживания отдельно рисуются границы
- [285720] Схемы: поправлены названия полей данных в таблице
- [285717] Схемы: диаграммы - отключена возможность создания встроенного текста
- [285767] Схемы: у размеров убран эффект сглаживания
- [285436] Схемы: исправлена ошибка подсветки цвета в палитре

--- 6.961 --- 24.07.2025
+ [285439] Формы: добавлено скриптовое свойство privateMode для компонента изображение
+ [203543] Схемы: диаграммы
+ [284329] Схемы: эффекты (тень, отражение, свечение, сглаживание)
- [285449] исправлена ошибка, при которой оповещение отображала кнопку раскрытия описания, даже когда не было самого описания
- [285448] исправлена ошибка, при которой не отображалась ошибка, при неверно введенной дате.
+ [284616] Схемы: добавлена возможность редактировать уже добавленные примечания

--- 6.960 --- 23.07.2025
+ [203535] Схемы: избранные примитивы

--- 6.959 --- 23.07.2025
- [283307] Исправлена ошибка Access Violation в гриде при его обновлении (F5)
- [282655] Edit: ошибка при вызове "Формы для выбора" при установке значения поля ввода с типом Строка
- [285098] Отчеты: исправлена работа метода writeObject
- [285443] Исправлена ошибка в сообщении
- [273433] выдавать диагностическое сообщение о различиях при сохраненнии узлов канал репликации и репликация только в отладочной версии
- [283481] Отчеты: исправлена ошибка печати цвета фона ячеек дерева
- [284586] если в фильтре дерева данных иерарзхия применяется не спервого раза
- [285432] Графический редактор: Эллипс
           - Исправлена ошибка, при которой в процессе отрисовки не учитывалось свойство «Геометрия/Количество отрезков разбиения».
- [280646] у ячейки грида в некоторых случаях всплывающая подсказка с большим количеством символов после показа сразу скрывается
- [279886] давать изменять пользователю всплывающее окно мышью только справа/или/снизу или слева/или/свреху в зависимости от контекста всплывания, не давать премещать всплывающее окно мышью за загловок
- [279149] при выборе первого значения в списке вариантов быстрого фильтра не меняется значение признака все значения
- [284712] Схемы: Исправлена ошибка, когда при копировании фигуры с определенной толщиной линии часть фигуры обрезалась
- [281598] Схемы: Изменено положение текста в окне Размерный стиль > Единицы > Точность
- [284307] Схемы: Исправлена ошибка неправильного отображения автора примечания
- [284554] Схемы: Добавлена кнопка примечания в классический интерфейс
- [285433] Схемы: доработано поведение размеров при различных действиях над ними
- [284006, 285407] Отчеты: исправлена ошибка определения цвета при html-форматировании
- [284355] исправлена ошибка, когда при настройке периода в журнале срабатывает предупреждение несколько раз подряд.
- [284573] Схемы: исправлено некорректное отображение стрелки при рисовании соединительной линии в панорамном просмотре
- [283743] Схемы: исправлена ошибка перемещения страниц
- [285101] Схемы: исправлено отображение контрольных точек кривой, у которой стиль линии настроен как "Нет линии"
- [285484] Диаграммы: исправлено смещение вертикальных столбцов
- [284535] Схемы: исправлена ошибка аномального поведения фигуры при скосе 90 и 270 градусов
- [285590] Схемы: добавлена кнопка Область примечаний в классический интерфейс

--- 6.958 --- 17.07.2028
- [276776] в поле ввода при задании текста из скрипта запоминать текст для отмены ввода из предыдущего введенного текста
- [285268] после автодополнения поле ввода в некоторых случаях перестает переходить по клавише tab к другому контролу
- [285270] Grid: скорректировано отображение редактируемого текста в ячейке таблицы с подсветкой правописания
- [285192] событие узла дерева данных onDragDropCopy вызывать от имени таскаемого узла и передавать узел, на который бросается узел
- [285154] исправлено некорректное отображание множественные значения параметра, не привязанного к данным, в поле ввода в режиме ввода параметров
- [284712] Исправлена ошибка, когда при копировании фигуры с определенной толщиной линии часть фигуры обрезалась
- [285250] Отчеты: исправлена ошибка формирования границ ячеек в таблицах

--- 6.957 --- 16.07.2025
- видимость полос прокрутки, когда указатель мыши не находится над поверхностью, включена по умолчанию
- [285172] переполнения стека из за рекурсии при применении изменений в поле ввода, если в обработчике редактируемого источника onAfterChange вызвать datamodel.save() (который заставляет поле ввода снова применить изменения)
- [285155] Grid: некорректно отображался при скроллировании редактируемый текст в ячейке таблицы с подсветкой правописания
- [284953] Grid: N52371 - исправлена реализация перехода к следующей ячейке для полей типа Дата
+ [284242] Схемы: передача информации о переносах текста внутри абзацев для встроенных текстов
- [284937] Grid: N52718 - скорректирован расчет итогов столбца
- [285058] Схемы: доработан механизм удаления перечисляемых свойств в инспекторе объектов
- [284587] Схемы: исправлена ошибка при добавлении таблицы и контейнера в режиме рисования размеров
- [284939] Исправлена ошибка при вводе данных в вариантное поле
- [285127] Схемы: автосоединение - исправлена ошибка соединения с таблицами и контейнерами из библиотеки примитивов
- [284709] amconsole: исправлена ошибка отображения ошибки при ненахождении файла справки "amconsole.ahelp"
- [285168] Отчеты: исправлена ошибка генерации отчетов в формате PhxDoc

--- 6.956 --- 15.07.2025
- [284903] в дереве данных в некоторых случаях ошибочно изменяется текущий узел при обновлении источнка узла
+ [284909] перевод проекта тонкого клиента на с++20
- [284615] не всегда вызывается событие onSelected узла дерева данных при вызове tree.selectNodeByRecordID
- [284794] Новое окно авторизации:
           - Исправлено поведение приложения:
             Теперь оно будет работать корректно даже в случае ошибки при загрузке конфигурации.
- [284743] Внешние файлы: исправлена ошибка перемещения файлов из проводника в таблицу в случае 4K разрешения
! [284808] Отчеты: исправлена ошибка формирования сложных заголовков при печати грида/дерева
- [284787] Схемы: автосоединение - исправлена ошибка соединения с некоторыми примитивами
- [284572] Схемы: исправлена ошибка выделения кнопок на панели инструментов при их активации

--- 6.955 --- 10.07.2025
- [284758] Grid: скорректирована реализация события 'onValidate' для поля с типом дата
- [284745] Диаграммы: доработано свойство setFixedStart
! [284003] Отчеты: исправлена ошибка формирования разворота в таблице

--- 6.954 --- 09.07.2025
- [284401] Grid: N52548 - скорректирован расчет высоты строки многострочного поля
- [284667] Схемы: исправлено внутреннее некорректное наименование в инспекторе объектов
- [284398] Grid: N52473 - отмена запуска формы, указанной в поле "Сценарий для поля пользователь" узла "Сервер", при заданном событии "onDoubleClick"
- [284694] Отчеты: исправлена ошибка конвертации чисел в выражениях

--- 6.953 --- 07.07.2025
+ [283306] Добавлен автоматический выбор расширения файла в диалог Сохранения файла NFD.EX
- [284614] Исправлена кодировка сообщения в логе о перезаписи существующего файла
+ [284240] Диагностика: на Linux добавлено несколько метрик отражающих настройки ядра и взаимодействие с файловой системой
- [284544] не реализован метод node.dragDropCopy, зависание если отменить выбор в контестном таскания узла с пунктами копирования и перемещения, двоение записей в разных выборках источника типа дерево при копироании записи из одной в другую
+ [282908] Добавлены стандартные пути в панель быстрого доступа файлового диалога NFD.EX
- [283547] Картинки: доработан механизм распознавания изображений по содержимому в формате *.jpeg
! [282934] Отчеты: оптимизация памяти при генерации отчетов
- [284485] внесены правки для настройки возможности редактирования источников данных формы
- [256986] Схемы: исправлена ошибка сохранения обрезанных картинок

--- 6.952 --- 02.07.2025
- [284363] некорректно сортируются возможные значения фильтра типа узел метаданных
- [284301] некорректно определяются минимльные размеры панели
+ [283933] Формы: Пометки - отображение подсказок
+ [283794] #android поддержка протокола asmo, возможность пересобрать apk в другое приложение и с другим хостом, возможность использования новой ide
+ [284222] Новое окно авторизации:
           - Добавлена автофокусировка на добавленное подключение после нажатия на кнопку «Сохранить» в диалоге редактирования подключения.
           - Добавлена автофокусировка на подключение, которое было использовано последним, при открытии приложения.
- [284206] Новое окно авторизации:
           - Исправлена ошибка, в результате которой при открытии диалоговых окон, например, окна редактирования подключения или окна изменения заголовка, возникала излишняя нагрузка на CPU.
- [284111] Новое окно авторизации:
           - Исправлена ошибка, из-за которой при авторизации кнопка закрытия окна авторизации появлялась в некорректном месте.
- [284246] Диаграммы исправлена ошибку переразмеривания диаграммы, чекбокс нажатий, отображение подсказок
- [284210] Схемы: исправлена ошибка отображения фигур
+ [283003] Схемы: добавлена плавающая панель "Область примечаний"

--- 6.951 --- 26.06.2025
- [284008] Схемы: удалено свойство "Разрешить текст для линий"

--- 6.950 --- 25.06.2025
- [284209] на ds.sorting.apply() не форсировать пересортировку, если источник не изменен
+ [283751] Схемы - Настройки
           - Переработан контент вкладок:
             Были добавлены три новые вкладки:
             - «Управление»
             - «Настройка рабочей области»
             - «Визуальные подсказки»
             Практически все настройки из вкладки «Интерфейс» были распределены по новым вкладкам.
- [284119] применять параметры формы при повторном запуске во вкладке в компоненте запуска формы
- [284002] Поля ввода - Исправления
           -  Исправлена ошибка использования уже освобождённой памяти в процессе отображения всплывающей подсказки при наведении на поле ввода.
- [284010] Схемы: RIBBON - Новое окно библиотек
           - Убрана стрелочка у кнопки «Подключить библиотеку».
- [284007] Схемы: RIBBON - Новое окно библиотек
           - Исправлена ошибка, при которой не происходила смена вида отображения при поиске в подключенных библиотеках.
+ [282477] Формы: Добавлено скриптовое свойство схемного контрола hideMarks
- [283989] Схемы: исправлена ошибка настройки активного слоя в панели слоев
- [283796] Схемы: исправлена ошибка неправильного переразмеривания
- [283796] Схемы: добавлена возможность переразмеривания окну примечаний
- [283383] Схемы: исправлены ошибки выбора стиля линии в панели быстрого доступа
- [284089] Схемы: исправлена ошибка экспорта старых схем в формат *.aves
+ [284123] Схемы: добавлена возможность настраивать привязку через ярлык на узел с привязкой

--- 6.949 --- 23.06.2025
- [283472] при отображении числовых возможных значений быстрых фильторов в случае отображения пустой строки считать значение null
- [283635] Схемы: Экспорт DWG - для Linux исправлена кодировка при конвертация текстов и имен слоем
+ [284011] Схемы: RIBBON - Вкладки
           - Добавлены динамические вкладки, которые появляются, например, при выделении фигуры или картинки.
+ [284045 Формы: Добавлены скриптовые свойства схемного контрола keepMarks, commonMarksMode, marksMode
- [284019] Исправлено неверное позиционирование текста в окне отображения ошибки в случае 4K разрешения
- [284009] Схемы: исправлена ошибка изменения геометрии пользовательских примитивов, найденных поиском
- [282932] Схемы: исправлены ошибки отображения схем больших размеров

--- 6.948 --- 19.06.2025
- [283623] Схемы: Импорт DWG/DXF
           - Исправлена ошибка, при которой тексты с кириллицей импортируются с некорректной кодировкой.
           - Исправлена ошибка, при которой названия слоёв с кириллицей импортировались с некорректной кодировкой.
+ [282474] Формы: Добавлен скриптовый метод showMarks для схемного контрола
- [283371] ошибка во время локальной сторировки истоника при обращении к строке с символами за пределами 1251

--- 6.947 --- 18.06.2025
- [283788] если есть какие-либо выполняющиеся немодальные события, то освобождать форму во фрейме при закрытии или при загрузке другой формы не из скрипта и не освобождать в остальных случаях
- [283755] Схемы: исправлено зависание клиента при отмене импорта wmf/emf
+ [283730] Схемы: добавлен автоматически появляющийся отступ для полосы прокрутки в окно примечаний
- Вспомогательные тесты: доработан метод resolveTextureChecksum и свойство textureChecksum для схемы

--- 6.946 --- 17.06.2025
- [283732] Исправлена логика работы с буфером обмена на Windows
- #android модернизация и исправление предупреждений проекта android
- [282650] Grid: неправильное позиционировние таблицы при вызове js-метода "centerInView()" после выполнения ds.locate()
- [282653] не происходит редактирование в поле ввода привязанного к источнику переданного через параметры на событие onAfterAppend передаваемого источника
- [283643] при создании скриптовго курсора источника не учитывать состояние сотрировки выборки в качестве ожидающего признака
- [280100] Схемы: исправлено попадание в непечатаемую область некоторых схем, импортированных из Visio
           - дробные значения полей страницы при открытии vsd/vsdx файлов теперь округляются в большую сторону
- [283720] Linux: Исправление работы фильтра отображения Всех файлов в окне выбора, когда окно выбора файла вызывается с помощью JS пакета Dialogs
- [282909] В файловых диалогах исправлено отображение файлов без расширений
- [282638] если есть какие-дибо выполняющиеся немодальные события, то освобождать форму во фрейме при закрытии и не освобождать в остальных случаях
- [283516] Grid: не учитывалось js-событие "onCanModify" столбца при вставке из буфера обмена для несколько строк
- [283508] Схемы: доработано отображение иконки примечаний страницы
- [283534] Исправлено появление кнопок навигации в закладках
- [283511] Схемы: дороботки по добавлении примечаний в окне примечаний
- [283632] Схемы: доработки импорта wmf/emf
- [283766] Схемы: исправлено отображение фигур после импорта wmf/emf
- [283731] Схемы: исправлено зависание клиента после импорта wmf/emf
- [283638] Схемы: при вызове окна примечаний, если выделено несколько фигур учитывается только первая выделенная
- [283687] Окно ожидания: исправлено аварийное завершение приложения при повторном запуске импорта файлов
+ Вспомогательные тесты: добавлен метод resolveTextureChecksum и свойство textureChecksum для схемы
+ [283638] Схемы: добавлено отображение ползунка при скролировании в окне примечаний
- [283629] Схемы: не отображается иконка примечаний у фигур при первом открытии схемы
+ [283719] Схемы: не сохраняется состояние свёрнутости/развёрнутости примечаний в окне примечаний

--- 6.945 --- 10.06.2025
- [282638] не освобождать форму во фрейме, если есть какие-дибо выполняющиеся немодальные события
- [280329] Узел запуска: N52138 - Регистрация в журнале событий аудита
+ [283364] возможность скролирвания в панели формы при задании в скрипте panel.autoScroll = true
- [283528] Схемы: исправлена ошибка отображения некоторых картинок
- [283546] Диаграммы: исправлено некорректное масштабирование pie диаграммы с подписями

--- 6.939 --- 09.06.2025
- [273444] Поля ввода
           - Исправлена некорректная отрисовка заливки поля ввода
- [282594] не пояляются скролы формы при уменьшении размеров и наличии ограничений размеров внутри формы
+ [282869] Grid: N52372 - реализована проверка орфографии в редакторе ячейки таблицы и возможность замены слова значением из словаря
- [283354] Схемы: исправлены названия некоторых стилей линий
- [282938] Схемы: исправлена ошибка, при которой невозможно было добавить фигуру на схему

--- 6.938 --- 06.06.2025
- [281391] Отчеты: исправлена ошибка, из-за которой свойство отчета "Красная строка" могло не работать
- [283441] Диаграммы: исправлена ошибка обработки событий DoubleClick и ошибка масштабирования
- [280317] Схемы: исправлена точность копирования фигуры через Ctrl

--- 6.937 --- 06.06.2025
+ [282966] Документ: добавлено отображение выделенных слов в диалогах поиска и замены текста
- [283381] Схемы: доработано обновление статусной строки схемы при открытии и закрытии вкладок графического редактора
- [283367] Схемы: примечания - исправлена ошибка отображения примечаний в панорамном просмотре
- [283449] Диаграммы: исправлена ошибка расчета границ при одной  серии

--- 6.936 --- 05.06.2025
- [283394] Схемы: RIBBON
           - Исправлено поведение кнопок, которые были активны постоянно:
             - «Главная/Упорядочение/Заменить фигуры»
             - «Преобразование/Изменение фигур/Заменить примитивом»
             - Все кнопки из группы «Преобразование/Поворот»
             - Все кнопки из группы «Преобразование/Группировка»
             - Все горизонтальные кнопки «Преобразование/Преобразование»
- [282768] при двойном клике мышью на раскрытие/закрытие узла дерева данных или дерева доступа узел раскрывается и закрывается(или наоборот)
- [283402] Диаграммы: исправлен расчет ограничений для прокрутки диаграммы

--- 6.935 --- 05.06.2025
+ [283388] В окно «О программе» добавлено время последних изменений перед сборкой
+ [277721] Схемы: добавлены новые стили линий
- [283351] Схема: RIBBON
           - Добавлена кнопка «Преобразование/Преобразование/Усечь линию»
+ [283389] Диаграммы: добавлена возможность задавать ширину точек у Bar, через скрипт
- [283259] Диаграммы: исправлена ошибка размеривания ширины серий у серии HBar

--- 6.934 --- 04.06.2025
- [283382] heap-buffer-overflow приполучении записей данных
- [283257] при клике на однострочном поле ввода по нерабочей области все равно захватывать фокус ввода этим полем ввода
- [282877] Формы
           - Для надписей и полей ввода добавлено JS-свойство «TextStyle».
- [282868] Grid: N52371 - не выполнялся переход на следующую ячейку при выборе значения формой выбора и установленным свойством "По Enter переходить"
- [283340] Элементы контекстного меню
           - Изменена отрисовка прямоугольника активного элемента контекстного меню.
- [283352] Схемы
           - Исправлено поведение кнопки «Вставить специальный символ»
- [283343] Схемы: Миниатюры примитивов
           - Исправлено некорректное отображение названия, которое не влезает в предпросмотр примитива.
+ [273019] выполнять запросы событий аудита на сервер, писать в лог события аудита, писать в лог причны не обновления версии клиента
+ Вспомогательные тесты: добавлено свойство для проверки возможности соединения фигуры с другой фигурой
- [283380] Диаграммы: исправлена ошибка в неправильной отрисовке серий при использовании подписей у Bar

--- 6.933 --- 03.06.2025
+ [283359] К диагностической информации добавлена хэш-строка, фиксирующая состояние исходного кода из которого было собрано программное решение
+ [283349] Схемы: RIBBON
           - Добавлены всплывающие подсказки для кнопок:
             - «Конструктор/Ориентация»
             - «Конструктор/Подложки»
             - «Конструктор/Все параметры страницы»
             - «Рецензирование/Добавить примечание»
             - «Преобразование/Превратить»
             - «Преобразование/Комбинирование»
             - «Вид/Интерфейс»
             - «Вид/Видимость панелей»
             - «Вид/Привязка»
+ [283346] Схемы: RIBBON
           - Добавлены всплывающие подсказки для кнопок:
             - «Вставка/Страницы/Создать страницу»
             - «Вставка/Иллюстрации/Вставить из файла»
             - «Вставка/Части схемы/Схема страницы»
             - «Вставка/Текст/Текст»
+ [283344] Схемы: RIBBON
           - Добавлены всплывающие подсказки для кнопок:
             - «Главная/Инструменты/Текст»
             - «Главная/Стили фигур/Стиль заливки»
             - «Главная/Стили фигур/Тип стрелки»
             - «Главная/Упорядочение/Выравнивание»
             - «Главная/Упорядочение/Поворот»
             - «Главная/Упорядочение/Группировка»
             - «Главная/Упорядочение/Заменить фигуру»
             - «Главная/Упорядочение/Выделить»
- [282634] ошибка Invalid record index при оказе от ввода текста в вариантный справочный столбец грида
- [283171] Схемы: исправлено аварийное завершение программы после использования системного диалога выбора файлов на AlterOs
- [283264] Схемы: RIBBON - Новое окно библиотек
           - Исправлена ошибка, при которой появлялась чрезмерная нагрузка на GPU при открытии окна библиотек.
- [283082] Схемы: RIBBON - Новое окно библиотек
           - Исправлена ошибка, при которой в минимизированном виде окна библиотек иконки примитивов обрезались снизу.
- [283072] Схемы: RIBBON - Новое окно библиотек
           - В персональной версии добавлена возможность после глобального поиска подключить библиотеку кликом по её названию.
- [283026] Схемы: Окно настроек
           - Исправлена ошибка с некорректным положением флага «Проверять орфографию при наборе текста».
+ [281709] Схемы: добавлена возможность управления соединением на уровне фигуры
- [283263] Схемы: исправлена ошибка метода unbind схемного контрола в случае множественной отвязки фигур
- [283314] Диаграммы: исправлена ошибка с отрисовкой speedometer
- [283360] Диаграммы: исправлена ошибка с выравниванием заголовка диаграммы
+ [283365] Диаграммы: добавлена возможность задавать радиус для Pie, через скрипт

--- 6.932 --- 02.06.2025
- [283205] На Linux исправлено ошибочное закрытие программы после открытия внешнего файла или папки (shellExecute)
! [282882] Улучшен алгоритм формирования сжатых данных
! [282858] Схемы: RIBBON
           - Добавлено масштабирование/скроллирование редактора при открытых выпадающих списках и окнах:
             - Все выпадающие списки и окна (выбор цвета, шрифта, стиля линий и т.д.) ленточного интерфейса
             - «Файл» и «Справка»
             - Контекстное меню при нажатии ПКМ по схеме
- [283126] assert в поле ввода без источника и настроенным справочником
- [282631] при вызове tree.selectNodeByRecordID дожидаться выполнения обработчиков onSelecting и onSelect
- [282943] Схемы: RIBBON
           - Для клиент-серверной версии скрыто контекстное меню кнопки «Вставка/Вставить из файла»
- [282941] Схемы: исправлена возможность настройки цвета подложки в ленточном интерфейсе
- [283039] Схемы: доработана привязка к направляющим при перемещении вершины ломаной
+ [276686] возможность сохранять в данных юнискодные символы в неюникодных полях
- [282833] Undefined Behaviour во время деструктора MainWindow, верезан код мешающий сборке с санитазером типа undefined
- [282923] Схемы: доработано перемещение ломаной при отрицательном масштабе
! [282986] Диаграммы: исправлен хитбокс и логика событий нажатий и двойных нажатий у Bar
- [281870] Диаграммы: исправлено масштабирование серий  диаграммы

--- 6.931 --- 29.05.2025
- [282794] Схемы
           - Исправлена ошибка, при которой в списке страниц отсутствовала кнопка «Все» при создании пустой схемы.
- [282882] Схемы: при выборе опции «Сохранить в PDF» в диалоге печати теперь используется более стабильный уровень сжатия
- [282719] не отображаются скроллы во фрейме без настройки автоскролирования с ограничением размеров формы во фрейме
- [282398] Схемы: RIBBON - Новое окно библиотек
           - Исправлена ошибка, при которой размер окна библиотек после привязки к левой стороне был неправильным.
! [282339] Диаграммы: добавлены новые возможности для Pie диаграммы
           - возможность задавать ширину ячеек
           - возможность убирать отступы между ячеек
- [282972] Диаграммы: исправлена ошибка с неправильным подсчетом отступов

--- 6.930 --- 28.05.2025
+ [282880] Схемы: Импорт DWG/DXF/SVG - обновление библиотеки CAD VCL до версии 16.0 #61153
- [282690] Схемы: добавлена возможность добавления изображения для подложки
- [282845] Схемы: RIBBON - Новое окно библиотек
           - Для персональной версии добавлен поиск по всем библиотекам, а не только по подключённым.
- [282841] Схемы: исправлены ошибки состояния кнопок интерфейса и контекстного меню по операциям вращения и отражения
- [277747] Схемы: скрыта кнопка "Область примечаний"

--- 6.929 --- 28.05.2025
- [281696] Схемы: доработка примечаний
- [282499] Диаграммы: исправлена логика свойства selectionIndex

--- 6.928 --- 28.05.2025
- [282917] некорретная сортировка в скриптовых курсорах источника при вызове cursor.sorting.apply
+ новые иконки
- [282591] Новое окно авторизации:
           - Исправлена ошибка, в результате которой элементы контекстного меню «Установить ключ аутентификации» и «Удалить ключ аутентификации» были перепутаны и работали некорректно.
! [282651] Схемы: RIBBON
           - Исправлены ошибки, при которых состояния флажков в группах «Вид/Отображение» и «Вид/Визуальные подсказки» обновлялись некорректно.
- [282429] Схемы: RIBBON - Новое окно библиотек
           - Исправлена ошибка, при которой кнопки управления окном налезали на поле поиска при повторном открытии окна библиотек.
- [282688] Схемы: RIBBON
           - Убран выпадающий список для кнопки «Вставка/Примечание».
           - Убран выпадающий список для кнопки «Вставка/Текст», если не происходит редактирование примитива.
- [282682] Схемы: RIBBON
           - Убран выпадающий список для кнопки «Главная/Текст», если не происходит редактирование примитива.
- [282649] Схемы: RIBBON - Новое окно библиотек
           - Исправлена ошибка, при которой кнопка «Виды» уходила за границы окна при его уменьшении.
- [282716] Схемы: RIBBON
           - Добавлены всплывающие подсказки для кнопок:
             - "Вид/Масштаб"
             - "Вид/Вписать схему"
- [282731] Схемы: RIBBON
           - Переименован элемент контекстного меню кнопки «Главная/Слои»:
             - «Назначить слой» -> «Назначить слой»
- [282630] Схемы: RIBBON
           - Изменён текст предупреждения при смене вида интерфейса редактора.
- [282855] Схемы: RIBBON
           - Исправлена ошибка, при которой не обновлялась кнопка смены режима при изменении режима через контекстное меню схемы.
- [282684] Схемы: экспорт PDF - доработан алгоритм экспорта стрелок
- [282668] Вспомогательны тесты: изменение функции setLocalConfigMode модуля Tests
           - Добавлен опциональный аргумент ignoreExisting для преднастройки локальных конфигураций с нуля
! [282681] Диаграммы: Доработка заголовка серии и подсказки к точкам (возможность задавать стиль текста)
- [282685] Диаграммы: Исправлено зависание клиента
- [282910] Отчеты: исправлена ошибка формирования имени файла при печати грида

--- 6.927 --- 26.05.2025
- [282824] отчеты: исправлено зависание клиента при формировании отчетов с картинками
- [282792] Исправлено отключение графических эффектов рабочего стола KDE на X11 (Linux) при старте приложения
+ [282792] В функции сбора диагностики на Linux добавлена информация о текущем окружении рабочего стола
! [282501] Диаграммы: добавлена возможность задавать толщину у обводки ячейки в серии
- [282772] Схемы: изменено положение кнопки "Ссылка" в ленточном интерфейсе
- [282771] Схемы: исправлена иконка для стиля заливки фигуры со значением "Нет заливки" в ленточном интерфейсе

--- 6.926 --- 23.05.2025
! [282770] Исправлено взаимодействие с дочерними процесами при открытии файлов и папок на Linux
- [282314] На Linux добавлены записи в лог о состоянии вызова внешнего приложения отправки электронной почты
! [282728] Диаграммы: добавлено событие DoubleClick на конкретную точку в серии
+ [282472] Отчеты: добавлен скриптовый метод print для строки таблицы
- [282656] Схемы: исправлена ошибка поиска фигур в панели библиотек примитивов в ленточном интерфейсе

--- 6.925 --- 22.05.2025
- [279708] Схемы: исправлена ошибка отрисовки стрелок при экспорте в PDF/SVG

--- 6.924 --- 22.05.2025
- [282680] некорректное скролирование колесом мыши в гриде с фиксированными строками
- [282725] иногда происходит зависание при вызове datasource.sorting.apply()
- [282672] не очищается поле ввода со сравочными данными по backspace
+ [282642] Схемы: доработана кнопка "Масштаб" в ленточном интерфейсе
! [282679] Диаграммы: добавлено событие DoubleClick на заголовок серии

--- 6.923 --- 22.05.2025
- [282712] Схемы: Исправлено некорректное преобразовании пути к файлу на Windows при печати PDF
- [282604] при вызове datasource.sorting.apply() принудительно пересортирвывать выборку, если она была изменена
- [282689] assert при показе плавающей формы
- [282676] Схемы: исправлены пункты меню для создания фигуры в ленточном интерфейсе

--- 6.922 --- 21.05.2025
- [280226] Отчеты: исправлена ошибка обработки фильтров в строках и ячейках
- [280800] не работает ограничение размеров плавающего окна.
- [281873] при удалении в скриптовом курсоре не вызывать события источника onBeforeDelete и onAfterDelete
- [282646] Схемы: исправлена ошибка, связанная с масштабированием атрибутов
- Вспомогательные тесты: исправлена ошибка метода activeButtonSave для вкладки со схемным контролом
+ [281534] Схемы: добавлен js-метод "editInForm"
+ [282586] Схемы: добавлено событие onSchemeClose для схемного контрола формы в рамках подменяемой вкладки
+ [280016] Схемы: доработано событие onAfterSchemeSave для схемного контрола формы в рамках подменяемой вкладки
- [282601] Диаграммы: исправлена ошибка с некорректным масшатбированием текста

--- 6.921 --- 20.05.2025
- [282315] Схемы: Добавлена запись в лог об отправке схемы по электронной почте
- [282534] не всегда отображаюся скроллеры в ролях пользователя формы рдактирования свойств пользователя
- [282599] Схемы: исправлена ошибка Access Violation при преобразовании "Вырезать криволинейную область"
- [282485] Схемы: доработано отображение схемы полностью, содержащей подложку с неединичным масштабом
! [282492] Диаграммы: исправлен размер области занимаемый заголовком диаграммы
